import type { Action, ExtensionAuto } from '../../../core';
import { cbAction } from './const';
export { resetCodeblock } from './commands';
export { codeBlock as codeBlockNodeName, langAttr as codeBlockLangAttr, cbType as codeBlockType, } from './const';
export declare type CodeBlockOptions = {
    codeBlockKey?: string | null;
};
export declare const CodeBlock: ExtensionAuto<CodeBlockOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [cbAction]: Action;
        }
    }
}
