import type { Action, ExtensionAuto } from '../../../core';
import { color, colorAction, Colors } from './const';
export { className as colorClassName, Colors } from './const';
export declare type ColorActionParams = {
    [color]: string;
};
export declare const Color: ExtensionAuto;
declare global {
    namespace YfmEditor {
        interface Actions {
            [colorAction]: Action<ColorActionParams, Colors>;
        }
    }
}
