"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContentAsArray = exports.yfmTableCellType = exports.yfmTableRowType = exports.yfmTableBodyType = exports.yfmTableType = void 0;
const schema_1 = require("../../../utils/schema");
const const_1 = require("./const");
exports.yfmTableType = (0, schema_1.nodeTypeFactory)(const_1.YfmTableNode.Table);
exports.yfmTableBodyType = (0, schema_1.nodeTypeFactory)(const_1.YfmTableNode.Body);
exports.yfmTableRowType = (0, schema_1.nodeTypeFactory)(const_1.YfmTableNode.Row);
exports.yfmTableCellType = (0, schema_1.nodeTypeFactory)(const_1.YfmTableNode.Cell);
function getContentAsArray(node) {
    const content = [];
    node.forEach((node, offset) => {
        content.push({ node, offset });
    });
    return content;
}
exports.getContentAsArray = getContentAsArray;
