"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tabListType = exports.tabsType = exports.tabType = exports.tabPanelType = exports.tabPanelInactiveClassname = exports.tabPanelActiveClassname = exports.tabInactiveClassname = exports.tabActiveClassname = exports.TabsNode = void 0;
const schema_1 = require("../../../utils/schema");
var TabsNode;
(function (TabsNode) {
    TabsNode["Tab"] = "yfm_tab";
    TabsNode["TabsList"] = "yfm_tabs_list";
    TabsNode["TabPanel"] = "yfm_tab_panel";
    TabsNode["Tabs"] = "yfm_tabs";
})(TabsNode = exports.TabsNode || (exports.TabsNode = {}));
exports.tabActiveClassname = 'yfm-tab active';
exports.tabInactiveClassname = 'yfm-tab';
exports.tabPanelActiveClassname = 'yfm-tab-panel active';
exports.tabPanelInactiveClassname = 'yfm-tab-panel';
exports.tabPanelType = (0, schema_1.nodeTypeFactory)(TabsNode.TabPanel);
exports.tabType = (0, schema_1.nodeTypeFactory)(TabsNode.Tab);
exports.tabsType = (0, schema_1.nodeTypeFactory)(TabsNode.Tabs);
exports.tabListType = (0, schema_1.nodeTypeFactory)(TabsNode.TabsList);
